GyotoStarTrace.h File Reference

Like a Star that would be on all points of its orbit at all time. More...

`#include <GyotoStar.h>`

Go to the source code of this file.

## Classes

class | Gyoto::Astrobj::StarTrace
| Like a Star that would be on all points of its orbit at all time. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Astrobj
| Access to astronomical objects.

## Detailed Description

Like a Star that would be on all points of its orbit at all time.

A StarTrace is a Star that is considerred to be simultaneously on all the points of its orbit at all time. The purpose is to precompute quickly an integrated image that can later be used as a mask to efficiently compute many images of the underlying Star at varying observing dates.